Color picker

Angular Bootstrap 5 Color picker plugin

Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.

Note: Read the API tab to find all available options and advanced customization


Native color picker

If you need the simplest form - use a native color picker.

<label for="exampleColorInput" class="form-label">Color picker</label>
<input type="color" class="form-control form-control-color" id="exampleColorInput" value="#563d7c" title="Choose your color">

Advanced color picker - basic example

The Advanced Color Picker can be placed anywhere on the page. You can initialize it using mdb-color-picker selector.

<mdb-color-picker></mdb-color-picker>

Disable state example

To add a Color picker as read-only use [disabled]="true" input.

<mdb-color-picker [disabled]="true"></mdb-color-picker>

Swatches

You can add ready-made samples for the user. Use the colorSwatches input and pass an array of colors as a parameter.

<mdb-color-picker [colorSwatches]="colorSwatches"></mdb-color-picker>
import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  colorSwatches = [
    '#0d6efd',
    '#6610f2',
    '#6f42c1 ',
    '#b23cfd',
    '#d63384',
    '#dc3545',
    '#fd7e14',
    '#ffc107',
    '#198754',
    '#20c997',
    '#0dcaf0',
    '#39c0ed',
    '#757575',
    '#4f4f4f',
    '#262626',
    '#000',
  ];
};

Swatches Height

If the defined samples take up a lot of space, you can set their maximum height using the colorSwatchesHeight input.

<mdb-color-picker [colorSwatches]="colorSwatches" [colorSwatchesHeight]="100"></mdb-color-picker>
import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  colorSwatches = [
    '#0d6efd',
    '#6610f2',
    '#6f42c1 ',
    '#b23cfd',
    '#d63384',
    '#dc3545',
    '#fd7e14',
    '#ffc107',
    '#198754',
    '#20c997',
    '#0dcaf0',
    '#39c0ed',
    '#757575',
    '#4f4f4f',
    '#262626',
    '#000',
  ];
};

Default value

To set the default value use the defaultColor input.

<mdb-color-picker [defaultColor]="'rgba(15,219,104,1)'"></mdb-color-picker>

Dropdown

You can use color picker as dropdown, just add the component inside a dropdown menu.

<div mdbDropdown class="dropdown">
  <button
    class="btn btn-light dropdown-toggle"
    type="button"
    id="dropdownMenuButton"
    aria-expanded="false"
    mdbDropdownToggle
  >
    Open
  </button>
  <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton" mdbDropdownMenu>
    <li>
      <mdb-color-picker></mdb-color-picker>
    </li>
  </ul>
</div>

Disable section

Use [colorPalette]="false" input to disable color palette section.

<mdb-color-picker [colorPalette]="false"></mdb-color-picker>

Color picker - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/color-picker

Import

import { MdbColorPickerModule } from 'mdb-angular-color-picker';
…
@NgModule ({
  ...
  imports: [MdbColorPickerModule],
  ...
})
@import 'mdb-angular-color-picker/scss/color-picker.scss';

Inputs

Name Type Default Description
colorInputs boolean true Set to false to hide inputs section.
changeFormatBtn boolean true Set to false to hide change format button.
copyIcon boolean true Set to false to hide copy icon.
colorPalette boolean true Set to false to hide color palette section
colorSwatches string[] [] Allows to define colors of the swatches.
colorSwatchesHeight null | number null Changes height of color swatches.
defaultColor string - Allows to set default color displayed on component initialization.
disabled boolean false Disables component
disabledHue boolean false Set to true to disable hue range input
disabledAlpha boolean false Set to true to disable alpha range input

Outputs

Name Type Description
colorChange EventEmitter<string> Emitted on color change.
<mdb-color-picker (colorChange)="onColorChange($event)"></mdb-color-picker>
import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent {
  onColorChange(color: string): void {
    console.log(color);
  }
}

Color picker

Vue Color Picker

Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.

Note: Read the API tab to find all available options and advanced customization


Native color picker

If you need the simplest form - use a native color picker.

        
            
        <template>
          <MDBColorPicker label="Color picker" v-model="nativeColorPickerValue" />
        </template>
        
        
    
        
            
          <script>
            import { MDBColorPicker } from "mdb-vue-color-picker";
            import { ref } from "vue";

            export default {
              components: {
                MDBColorPicker
              },
              setup(){
                const nativeColorPickerValue = ref('#563d7c');

                return {
                  nativeColorPickerValue
                }
              }
            };

          </script>
        
        
    
        
            
          <script setup lang="ts">
            import { MDBColorPicker } from "mdb-vue-color-picker";
            import { ref } from "vue";

            const nativeColorPickerValue = ref('#563d7c');
          </script>
        
        
    

Advanced color picker - basic example

The Advanced Color Picker can be placed anywhere on the page. You can initialize it by adding advanced prop to the MDBColorPicker component.

        
            
          <template>
            <MDBColorPicker advanced v-model="advancedColorPickerValue" />
          </template>
          
        
    
        
            
            <script>
              import { MDBColorPicker } from "mdb-vue-color-picker";
              import { ref } from "vue";
  
              export default {
                components: {
                  MDBColorPicker
                },
                setup(){
                  const advancedColorPickerValue = ref('');
  
                  return {
                    advancedColorPickerValue
                  }
                }
              };
  
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBColorPicker } from "mdb-vue-color-picker";
              import { ref } from "vue";
  
              const advancedColorPickerValue = ref('');
            </script>
          
        
    

Disable state example

To add a Color picker as read-only use disabled prop in the MDBColorPicker component.

        
            
            <template>
              <MDBColorPicker advanced disabled v-model="disabledColorPickerValue" />
            </template>
            
        
    
        
            
              <script>
                import { MDBColorPicker } from "mdb-vue-color-picker";
                import { ref } from "vue";
    
                export default {
                  components: {
                    MDBColorPicker
                  },
                  setup(){
                    const disabledColorPickerValue = ref('');
    
                    return {
                      disabledColorPickerValue
                    }
                  }
                };
    
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBColorPicker } from "mdb-vue-color-picker";
                import { ref } from "vue";
    
                const disabledColorPickerValue = ref('');
              </script>
            
        
    

Swatches

You can add ready-made samples for the user. Put swatches prop in MDBColorPicker component and pass an array of colors in that prop . If you want to add colors in several columns, add them in separate tables.

        
            
      <template>
        <MDBColorPicker advanced :swatches="swatchesColors" v-model="swatchesColorPickerValue" />
      </template>
      
        
    
        
            
        <script>
          import { MDBColorPicker } from "mdb-vue-color-picker";
          import { ref } from "vue";

          export default {
            components: {
              MDBColorPicker
            },
            setup(){
              const swatchesColorPickerValue = ref('');

              const swatchesColors = [
                ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
                ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
              ];

              return {
                swatchesColorPickerValue,
                swatchesColors,
              }
            }
          };

        </script>
      
        
    
        
            
        <script setup lang="ts">
          import { MDBColorPicker } from "mdb-vue-color-picker";
          import { ref } from "vue";

          const swatchesColorPickerValue = ref('');

          const swatchesColors = [
            ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
            ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
          ];
        </script>
      
        
    

Swatches Height

If the defined samples take up a lot of space, you can set their maximum height using the swatchesHeight prop.

        
            
      <template>
        <MDBColorPicker 
          advanced 
          :swatches="swatchesColors" 
          :swatchesHeight="100"
          v-model="swatchesHeightColorPickerValue" 
        /></template>
      
        
    
        
            
        <script>
          import { MDBColorPicker } from "mdb-vue-color-picker";
          import { ref } from "vue";

          export default {
            components: {
              MDBColorPicker
            },
            setup(){
              const swatchesHeightColorPickerValue = ref('');

              const swatchesColors = [
                ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
                ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
              ];

              return {
                swatchesHeightColorPickerValue,
                swatchesColors
              }
            }
          };

        </script>
      
        
    
        
            
        <script setup lang="ts">
          import { MDBColorPicker } from "mdb-vue-color-picker";
          import { ref } from "vue";

          const swatchesHeightColorPickerValue = ref('');

          const swatchesColors = [
            ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
            ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
          ];
        </script>
      
        
    

Default value

To set the default value use the defaultValue prop.

        
            
            <template>
              <MDBColorPicker
              advanced
              defaultValue="rgba(15,219,104,1)"
              v-model="defaultValueColorPickerValue"
            /></template>
            
        
    
        
            
              <script>
                import { MDBColorPicker } from "mdb-vue-color-picker";
                import { ref } from "vue";
    
                export default {
                  components: {
                    MDBColorPicker
                  },
                  setup(){
                    const defaultValueColorPickerValue = ref('');
    
                    return {
                      defaultValueColorPickerValue
                    }
                  }
                };
    
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBColorPicker } from "mdb-vue-color-picker";
                import { ref } from "vue";
    
                const defaultValueColorPickerValue = ref('');   
              </script>
            
        
    

Dropdown

You can use color picker as dropdown, just add dropdown prop to MDBColorPicker.

        
            
            <template>
                  <MDBColorPicker advanced dropdown v-model="dropdownColorPickerValue" />
            </template>
            
        
    
        
            
              <script>
                import { MDBColorPicker } from "mdb-vue-color-picker";
                import { ref } from "vue";
    
                export default {
                  components: {
                    MDBColorPicker,
                  },
                  setup(){
                    const dropdownColorPickerValue = ref('');
    
                    return {
                      dropdownColorPickerValue,
                    }
                  }
                };
    
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBColorPicker } from "mdb-vue-color-picker";
                import { ref } from "vue";
    
                const dropdownColorPickerValue = ref('');
              </script>
            
        
    

Disable section

If you want to use only some picker elements you can disable unnecessary elements. The following example shows the use of the disableColorPalette prop. Other options can be found in the API tab.

        
            
            <template>
              <MDBColorPicker advanced disableColorPalette v-model="disableSectionColorPickerValue" />
            </template>
            
        
    
        
            
              <script>
                import { MDBColorPicker } from "mdb-vue-color-picker";
                import { ref } from "vue";
    
                export default {
                  components: {
                    MDBColorPicker
                  },
                  setup(){
                    const disableSectionColorPickerValue = ref('');
    
                    return {
                      disableSectionColorPickerValue
                    }
                  }
                };
    
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBColorPicker } from "mdb-vue-color-picker";
                import { ref } from "vue";
    
                const disableSectionColorPickerValue = ref('');
              </script>
            
        
    
24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Color picker - API


Import

        
            
      <script>
        import { MDBColorPicker } from "mdb-vue-color-picker";
      </script>
      
        
    

Properties

Properties can be passed to the MDBColorPicker component.

Name Type Default Description
tag String div Defines tag of the MDBColorPicker component
disableColorPickerInputs Boolean false Add disableColorPickerInputs prop to hide the input sections
disableChangeFormat Boolean false Add disableChangeFormat prop to hide the change color type icons
disableCopyIcon Boolean false Add disableCopyIcon prop to hide copy code icon
disableColorPalette Boolean false Add disableColorPalette prop to hide color palette
swatches Array [] By adding swatches props to MDBColorPicker you are able to define the colors of the swatches
swatchesHeight Number 0 swatchesHeight prop allow you to define swatches max height
defaultValue Boolean / String false By adding defaultValue prop you can set default color value
disabled Boolean false Add disabled prop to use read-only Color picker
dropdown Boolean false Add dropdown prop to use color picker as dropdown
dropdownBtnName String Close Add dropdownBtnName prop to change the text in the dropdown button
disableHue Boolean false Add disableHue prop to remove the hue range input
disableAlpha Boolean false Add disableAlpha prop to remove the alpha range input
disableAlphaRangeInput Boolean false Add disableAlphaRangeInput prop to disable the alpha range input
disableHueRangeInput Boolean false Add disableHueRangeInput prop to disable the hue range input
removeAlphaInput Boolean false Add removeAlphaInput prop to remove the alpha input
colorFormat String "hsla" Add colorFormat prop to set a default color format

Events

Name Description
onOpen Emitted when Color picker dropdown is open.
onClose Emitted when Color picker dropdown is close.
onChange Emitted when the color is changed.
        
            
        <template>
          <MDBColorPicker
            advanced
            v-model="eventsColorPickerValue"
            @onChange="handleOnChangeColorPicker"
          />
        </template>
        
        
    
        
            
          <script>
            import { MDBColorPicker } from "mdb-vue-plugin";

            export default {
              components: {
                MDBColorPicker
              },
              setup(){
                const eventsColorPickerValue = ref('');

                const handleOnChangeColorPicker = () => {
                  // do something
                };

                return {
                  eventsColorPickerValue,
                  handleOnChangeColorPicker,
                }
              }
            };

          </script>

Color picker

Bootstrap 5 Color picker plugin

Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.

Note: Read the API tab to find all available options and advanced customization


Native color picker

If you need the simplest form - use a native color picker.

        
            
        import React from 'react';

        export default function App() {
          return (
            <>
              <label htmlFor="exampleColorInput" className="form-label">Color picker</label>
              <input type="color" className="form-control form-control-color" id="exampleColorInput" value="#563d7c" title="Choose your color">
            </>
          );
         }
        
        
    

Advanced color picker - basic example

The Advanced Color Picker can be placed anywhere on the page. You can initialize it using <MDBColorPicker />.

        
            
        import React from 'react';
        import { MDBColorPicker } from 'mdb-react-color-picker';

        export default function App() {
          return (
            <MDBColorPicker />
          );
        }
        
        
    

Disable state example

To add a Color picker as read-only pass disabled as prop.

        
            
            import React from 'react';
            import { MDBColorPicker } from 'mdb-react-color-picker';
    
            export default function App() {
              return (
                <MDBColorPicker disabled />
              );
            }
            
        
    

Swatches

You can add ready-made samples for the user. Use the swatchesColor option and pass an array of colors as a parameter. If you want to add colors in several columns, add them in separate tables.

        
            
import React from 'react';
import { MDBColorPicker } from 'mdb-react-color-picker';

export default function App() {
  const exampleColors = [
    ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
    ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
  ]

  return (
    <MDBColorPicker swatchesColor={exampleColors} />
  );
}

        
    

Swatches Height

If the defined samples take up a lot of space, you can set their maximum height using the swatchesHeight option.

        
            
import React from 'react';
import { MDBColorPicker } from 'mdb-react-color-picker';

export default function App() {
  const exampleColors = [
    ['#0d6efd', '#6610f2', '#6f42c1 ', '#b23cfd', '#d63384', '#dc3545', '#fd7e14', '#ffc107'],
    ['#198754', '#20c997', '#0dcaf0', '#39c0ed', '#757575', '#4f4f4f', '#262626', '#000'],
  ]

  return (
    <MDBColorPicker swatchesColor={exampleColors} swatchesHeight={100} />
  );
}

        
    

Default value

To set the default value use the defaultColor option.

        
            
            import React from 'react';
            import { MDBColorPicker } from 'mdb-react-color-picker';
    
            export default function App() {
              return (
                <MDBColorPicker defaultColor="rgba(15,219,104,1)" />
              );
            }
            
        
    

Dropdown

You can use color picker as dropdown, just pass dropdown as prop.

        
            
            import React from 'react';
            import { MDBColorPicker } from 'mdb-react-color-picker';
    
            export default function App() {
              return (
                <MDBColorPicker dropdown />
              );
            }
            
        
    

Disable section

If you want to use only some picker elements you can disable unnecessary elements. The following example shows the use of the colorPalette option. Other options can be found in the API tab.

        
            
            import React from 'react';
            import { MDBColorPicker } from 'mdb-react-color-picker';
    
            export default function App() {
              return (
                <MDBColorPicker colorPalette={false} />
              );
            }
            
        
    
24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Color Picker - API


Import

        
            
            import { MDBColorPicker } from 'mdb-react-color-picker';
          
        
    

Properties

MDBColorPicker

Name Type Default Description Example
changeFormatBtn boolean true Set false to hide the change color type icons <MDBColorPicker changeFormatBtn={false} />
colorPalette boolean true Set false to hide color palette <MDBColorPicker colorPalette={false} />
copyIcon boolean true Set false to hide copy code icon <MDBColorPicker copyIcon={false} />
defaultColor string '' Set default color value <MDBColorPicker defaultColor='rgba(0,0,255,1)' />
disabled boolean false Set true to use read-only Color picker <MDBColorPicker disabled />
disabledAlpha boolean false Set true to disable the alpha range input <MDBColorPicker disabledAlpha />
disabledHue boolean false Set true to disable the hue range input <MDBColorPicker disabledHue />
dropdown boolean false Set true to use color picker as dropdown <MDBColorPicker dropdown />
inputSection boolean true Set false to hide the input sections <MDBColorPicker inputSection={false} />
swatchesColor string[][] - Allows you to define the colors of the swatches. The main array represents several rows, and sub-arrays are defined colors. <MDBColorPicker swatchesColor={[['#0d6efd'],['#6610f2']]} />
swatchesHeight number - Allow you to define swatches max height <MDBColorPicker swatchesHeight={100} />

Events

Name Type Description
onColorChange (value: any) => any Returns an object with all color types and values.